Name:          mailutils
Version:       3.13
Release:       1mamba
Summary:       A swiss army knife of electronic mail handling
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mailutils.org/
#Source:        http://alpha.gnu.org/gnu/mailutils/mailutils-%{version}.tar.xz
Source:        ftp://ftp.gnu.org/gnu/mailutils/mailutils-%{version}.tar.xz
Patch0:        mailutils-2.2-gcc-4.8.patch
Patch1:        mailutils-2.99.99-libguile-2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
#libdl.so.2()(64bit): /usr/lib64/libdl.so: file not owned by any package
#libpthread.so.0()(64bit): /usr/lib64/libpthread.so: file not owned by any package
#libutil.so.1()(64bit): /usr/lib64/libutil.so: file not owned by any package
BuildRequires: glibc-devel
BuildRequires: libaudit-devel
BuildRequires: libcap-ng-devel
BuildRequires: libdb53-devel
BuildRequires: libe2fs-devel
BuildRequires: libffi-devel
BuildRequires: libfribidi-devel
BuildRequires: libgc-devel
BuildRequires: libgdbm-devel
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libgsasl-devel
BuildRequires: libgss-devel
BuildRequires: libguile-devel
BuildRequires: libidn-devel
BuildRequires: libkrb5-devel
BuildRequires: libltdl-devel
BuildRequires: libncurses-devel
BuildRequires: libnettle-devel
BuildRequires: libnsl-devel
BuildRequires: libntlm-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpam-devel
BuildRequires: libpython3-devel
BuildRequires: libreadline-devel
BuildRequires: libsasl2-devel
BuildRequires: libtasn1-devel
BuildRequires: libtirpc-devel
BuildRequires: libunistring-devel
BuildRequires: libwrap-devel
## AUTOBUILDREQ-END
BuildRequires: emacs-nox
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post): %{__install_info}
Requires(preun): %{__install_info}

%description
Mailutils is a swiss army knife of electronic mail handling. It offers a rich set of utilities and daemons for processing the e-mail.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n python-mailutils-py3
Group:         System/Libraries/Python
Summary:       Python bindings to %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      python3

%description -n python-mailutils-py3
Python bindings to %{name}.

%debug_package

%prep
%setup -q
#%patch1 -p1

%build
%configure \
   GUILE_BINDIR=`guile-config info prefix`/bin \
   PYTHON=%{__python3} \
   PYTHON_CONFIG=python3-config

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post -n lib%{name}-devel
## modify the infopage name as required
%install_info %{name}.info
exit 0

%preun -n lib%{name}-devel
## modify the infopage name as required
%uninstall_info %{name}.info
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/decodemail
%{_bindir}/dotlock
%{_bindir}/frm
%{_bindir}/from
%{_bindir}/guimb
%{_bindir}/mail
%{_bindir}/mailutils
%{_bindir}/mailutils-config
%{_bindir}/messages
%{_bindir}/mimeview
%{_bindir}/movemail
%dir %{_bindir}/mu-mh
%{_bindir}/mu-mh/*
%{_bindir}/popauth
%{_bindir}/putmail
%{_bindir}/readmsg
%{_bindir}/sieve
#%{_bindir}/sieve2scm
%{_sbindir}/comsatd
%{_sbindir}/imap4d
%{_sbindir}/lmtpd
%{_sbindir}/mda
%{_sbindir}/pop3d
%{_datadir}/aclocal/mailutils.m4
%{_datadir}/emacs/site-lisp/mailutils-mh.el*
%dir %{_datadir}/guile/site/*/mailutils
%{_datadir}/guile/site/*/mailutils/guile-procedures.txt
%{_datadir}/guile/site/*/mailutils/*.scm
#%dir %{_datadir}/guile/site/*/mailutils/sieve-modules
#%{_datadir}/guile/site/*/mailutils/sieve-modules/*.scm
%dir %{_datadir}/mailutils
%dir %{_datadir}/mailutils/mh
%{_datadir}/mailutils/mh/*
%{_infodir}/mailutils.info*
%{_mandir}/man1/imap4d.1*
%{_mandir}/man1/mail.1*
%{_mandir}/man1/pop3d.1*
%{_mandir}/man1/popauth.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmailutils.so.*
%{_libdir}/libmuaux.so.*
%{_libdir}/libmu_*.so.*
%{_libdir}/libguile-mailutils-v-*.so
%dir %{_libdir}/mailutils
%{_libdir}/mailutils/*.a
%{_libdir}/mailutils/*.la
%{_libdir}/mailutils/*.so
%dir %{_libexecdir}/mailutils
%{_libexecdir}/mailutils/mailutils-*
%doc AUTHORS COPYING COPYING.LESSER THANKS

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/mailutils
%{_includedir}/mailutils/*
%{_libdir}/libmailutils.a
%{_libdir}/libmailutils.la
%{_libdir}/libmailutils.so
%{_libdir}/libmuaux.a
%{_libdir}/libmuaux.la
%{_libdir}/libmuaux.so
%{_libdir}/libmu_*.a
%{_libdir}/libmu_*.la
%{_libdir}/libmu_*.so
%doc ChangeLog NEWS README TODO

%files -n python-mailutils-py3
%defattr(-,root,root)
%dir %{python3_sitelib}/mailutils
%{python3_sitelib}/mailutils/*
%dir %{python3_sitearch}/mailutils
%{python3_sitearch}/mailutils/*

%changelog
* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 3.13-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 3.12-1mamba
- automatic version update by autodist

* Tue Jan 05 2021 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Wed Dec 30 2020 Automatic Build System <autodist@mambasoft.it> 3.11-1mamba
- automatic version update by autodist

* Tue Dec 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10-2mamba
- rebuild and updated build requirements

* Mon Oct 26 2020 Automatic Build System <autodist@mambasoft.it> 3.10-1mamba
- automatic version update by autodist

* Mon Mar 16 2020 Automatic Build System <autodist@mambasoft.it> 3.9-1mamba
- automatic version update by autodist

* Sat Nov 09 2019 Automatic Build System <autodist@mambasoft.it> 3.8-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Automatic Build System <autodist@mambasoft.it> 3.7-1mamba
- automatic version update by autodist

* Sun Mar 03 2019 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Sun Nov 04 2018 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Sat Aug 04 2018 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Thu Jan 05 2017 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Tue Nov 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- update to 3.0

* Mon May 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.99.99-2mamba
- reapply patch for libguile2

* Sun May 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.99.99-1mamba
- update to 2.99.99
- rebuilt by autoport with build requirements: libunistring-devel>=0.9.6-1mamba

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-3mamba
- update guile-2 patch to fix GUILE_BINDIR

* Sat Jun 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-2mamba
- python 2.7 mass rebuild

* Thu Jul 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1mamba
- package created by autospec
